%define mod_name	SocksiPy-branch
%define lc_name		socksipy-branch

Name:		python-%{lc_name}
Summary:	A Python SOCKS module
Version:	1.02
Release:	%mkrel 19
Source0:	https://socksipy-branch.googlecode.com/files/%{mod_name}-%{version}.tar.gz
URL:		https://code.google.com/p/socksipy-branch/
Group:		Development/Python
License:	BSD
BuildArch:	noarch

%description
It provides a socket-like interface that supports connections to any TCP
service through the use of a SOCKS4, SOCKS5 or HTTP proxy.

%package -n python3-%{lc_name}
Summary:	A Python SOCKS module
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{lc_name}}
# both provides %%{python3_sitelib}/socks.py
Conflicts:	python3-pysocks

%description -n python3-%{lc_name}
It provides a socket-like interface that supports connections to any TCP
service through the use of a SOCKS4, SOCKS5 or HTTP proxy.

%prep
%setup -q -n %{mod_name}-%{version}
%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files socks

%files -n python3-%{lc_name} -f %{pyproject_files}
%license LICENSE
%doc BUGS README


%changelog
* Sat Mar 01 2025 wally <wally> 1.02-19.mga10
+ Revision: 2155937
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 1.02-18.mga10
+ Revision: 2018339
- rebuild for python3.12
- adapt to pyproject

* Tue Aug 02 2022 tv <tv> 1.02-17.mga9
+ Revision: 1874535
- Fix filelist

* Wed Mar 23 2022 umeabot <umeabot> 1.02-16.mga9
+ Revision: 1823316
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.02-15.mga9
+ Revision: 1782509
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 1.02-14.mga9
+ Revision: 1732464
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 1.02-13.mga8
+ Revision: 1541119
- Mageia 8 Mass Rebuild

* Fri Dec 20 2019 wally <wally> 1.02-12.mga8
+ Revision: 1469127
- add conflicts againt pysocks

* Fri Sep 27 2019 daviddavid <daviddavid> 1.02-11.mga8
+ Revision: 1447478
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.02-10.mga7
+ Revision: 1354402
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.02-9.mga7
+ Revision: 1290129
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.02-8.mga7
+ Revision: 1135644
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.02-7.mga6
+ Revision: 970941
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.02-6.mga6
+ Revision: 888871
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.02-5.mga5
+ Revision: 740530
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.02-4.mga5
+ Revision: 729779
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.02-3.mga5
+ Revision: 688343
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.02-2.mga5
+ Revision: 629022
- Rebuild for new Python

* Sun Dec 08 2013 pterjan <pterjan> 1.02-1.mga4
+ Revision: 555989
- imported package python-socksipy-branch

